tpm2_quote(8)

NAME
tpm2_quote - Provide quote and signature for given list of PCRs in given algorithm/banks.

SYNOPSIS
tpm2_quote[ COMMON OPTIONS ] [ TCTI OPTIONS ] [ --akHandle|--akContext|--akPassword|--idList|--algorithm|--selList|--outFile|--passwdInHex|--qualifyData| ]

Provide quote and signature for given list of PCRs in given algorithm/banks.

DESCRIPTION
tpm2_quote Provide quote and signature for given list of PCRs in given algorithm/banks.

OPTIONS

-k ,--akHandle
    Handle of existing AK

-c ,--akContext
    filename for the existing AK's context

-P ,--akPassword
    AK handle's Password

-l ,--idList
    The list of selected PCRs' ids, 0~23

-g ,--algorithm
    The algorithm id

-L ,--selList
    The list of pcr banks and selected PCRs' ids (0~23) for each bank

-o ,--outFile
    output file path, recording the two structures output by tpm2_quote function

-X ,--passwdInHex
    passwords given by any options are hex format.

-q ,--qualifyData
    Data given as a Hex string to qualify the quote, optional.

[COMMON OPTIONS ]
    This collection of options are common to many programs and provide information that many users may expect.

-h, --help
    Display a manual describing the tool and its usage.

-v, --version
    Display version information for this tool.

-V, --verbose
    Increase the information that the tool prints to the console during its execution.

[TCTI OPTIONS ]
    This collection of options are used to configure the varous TCTI modules available.

-T, --tcti
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. Supported TCTIs are .

ENVIRONMENT: TCTI
    This collection of environment variables that may be used to configure the varous TCTI modules available. The values passed through these variables can be overridden on a per-command basis using the available command line options.

TPM2TOOLS_TCTI_NAME
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. See 'OPTIONS' section for the names of supported TCTIs.

EXAMPLES
tpm2_quote

    tpm2_quote -k 0x81010002 -P abc123 -g 0x4 -l 16,17,18 -o outFile001
    tpm2_quote -c ak.context -P abc123 -g 0x4 -l 16,17,18 -o outFile001
    tpm2_quote -k 0x81010002 -g 0x4 -l 16,17,18 -o outFile001
    tpm2_quote -c ak.context -g 0x4 -l 16,17,18 -o outFile001
    tpm2_quote -k 0x81010002 -P 123abc -X -L 0x4:16,17,18+0xb:16,17,18 -o outFile001 -q 11aa22bb